Scolring - Forum

Entraides et échanges autour de la technologie Scol - Informations and exchanges on the Scol technology

Vous pouvez changer la langue de l'interface une fois inscrit - You can change the language once registered

You are not logged in.

#1 27-Nov-2019 16:16:03

lorcan71
Member
Registered: 30-Oct-2019
Posts: 6

Export PiV1 Error lib: libicui18n.so.63

Bonjour ARKEON,

Je possède un PI v1 (de 2011) avec une version 9.1  ( 4.19.85+ au niveau firmware ) soit une STRETCH ainsi qu'une paire de lunettes vidéo VUFINE+ ceci afin de faire des tests Augmented Reality type Tete Haute.

J'ai donc exporté mon projet OS3D au format PIv1 pour une détection de visage toute simple à tester en premier lieu sur un moniteur (avant de tester sur Vufine+).  RAS de l'export projet et tests Windows ou Android.

Suite à la construction du 'package.deb' puis un test d'exécution via ma commande 'detectface' j'ai rencontré un 1er pb. d'erreur avec la lib  " libGLESv2.so" ==>> "error while loading shared libraries: libGLESv2.so ... "

Suite à recherche forum(s) j'ai appliqué la procédure ci-dessous avec succès en mode "sudo" : 

First, find this:

# find / -name libEGL* -type f
# find / -name libGLESv2* -type f

and do this linking to the full paths to files like this:

# ln -fs /path/to/lib/libEGL.so /usr/lib/arm-linux-gnueabihf/libEGL.so
# ln -fs /path/to/lib/libEGL.so /usr/lib/arm-linux-gnueabihf/libEGL.so.1
# ln -fs /path/to/lib/libGLESv2.so /usr/lib/arm-linux-gnueabihf/libGLESv2.so
# ln -fs /path/to/lib/libGLESv2.so /usr/lib/arm-linux-gnueabihf/libGLESv2.so.2

and let the OS know what you have done and take it into account like this:

# ldconfig   

-->> Ensuite j'ai appliqué la commande de mise à jour des dépendances avec :  " sudo apt-get install -f "

Puis réalisée un "sudo rpi-update" et effectué le "reboot" usuel.

--->>> Re-test et erreur idem mais avec la librairie " libicui18n.so.63 " :

"/usr/share/detectface/detectface: error while loading shared libraries: libicui18n.so.63: cannot open shared object file: No such file or directory" 

Lorsque j'effectue une commande de recherche de ladite lib via " sudo find / -name libicui18n* " je ne récupère qu'une lib nommée
" libicui18n.so.57.1 ".

Pour le moment malgré recherche sur forums Linux / Debian et nombreux tests à refaire l'image PI-STRETCH sur PIv1 + refaire la procédure de tests de mon projet AR je reste en échec.

Avez-vous connaissance de problème lié à cette lib nomméé " libicui18n.so.63 " ou piste de recherche ?

D'avance merci. Cordialement.

Offline

#2 27-Nov-2019 17:06:18

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,560
Website

Re: Export PiV1 Error lib: libicui18n.so.63

Bonjour, une nouvelle release devrait sortir d'ici la fin de la semaine, le raspi ayant été recompilé sur buster, cela pourra changer quelque chose. (ou il faut peut etre passer ton system en buster)

en attendant tu peux tenter d'installer le paquet s'il est disponible :
sudo apt-get install libicu63

Offline

#3 27-Nov-2019 17:20:11

lorcan71
Member
Registered: 30-Oct-2019
Posts: 6

Re: Export PiV1 Error lib: libicui18n.so.63

Merci ARKEON

Pour ma part la commande "sudo apt-get install libicu63" est en échec = Impossible de trouver le paquet nommé.

Je refais 2 ou 3 tests avant de tester Buster sur un PI V1 et je vais patienter pour l'update release de fin de semaine.

Merci pour ta réponse rapide et à redire OS3D est une plateforme à découvrir et tester sans modération.

Beau et bon travail réalisé.

Cdt

Offline

#4 27-Nov-2019 17:28:57

arkeon
Admin. / Scol language & OpenSpace3D developer
From: Nantes
Registered: 30-Mar-2009
Posts: 4,560
Website

Re: Export PiV1 Error lib: libicui18n.so.63

Oui possible que cette version ne soit dispo que dans le repo buster.
un truc con que tu peux tester c'est changer ton /etc/pat/sources.list de strech vers buster, ensuite avec un apt-get update il devrait trouver le paquet.

Merci smile

Offline

#5 27-Nov-2019 18:18:49

lorcan71
Member
Registered: 30-Oct-2019
Posts: 6

Re: Export PiV1 Error lib: libicui18n.so.63

Effectivement j'avais zappé les sources.list ! 

Je vais tester en faisant les modifs FR : 

# /etc/apt/sources.list :
deb http://ftp.fr.debian.org/debian/ buster main contrib non-free
deb-src http://ftp.fr.debian.org/debian/ buster main contrib non-free

# /etc/apt/sources.list :
deb http://ftp2.fr.debian.org/debian/ buster main contrib non-free
deb-src http://ftp2.fr.debian.org/debian/ buster main contrib non-free

Offline

Board footer

Powered by FluxBB